body {
    margin: 0;
    padding: 0;
    max-height: 100%;
    max-width: 100%;
}

/* Logos */
.interreg {
    position: absolute;
    bottom: 55px;
    right: 10px;
    height: 60px;
    padding: 10px;
    background-color: white;
    border-radius: 10px 0 10px 10px;
}

.huhr {
    position: absolute;
    bottom: 115px;
    right: 10px;
    width: 100px;
    padding: 10px 10px 0 10px;
    background-color: white;
    border-radius: 10px 10px 0 0;
}

/* Map */
#map {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
}

#map .maplibregl-ctrl-top-left,
#map .maplibregl-ctrl-top-right {
    top: 48px;
}

#map .maplibregl-ctrl-attrib {
    max-width: calc(100% - 90px);
}

/* Layer selector */
#map .maplibregl-ctrl.layer-selector-container {
    color: #c5aa85;
    background: rgba(23,25,28,0.9);
    width: 100vw;
    margin: 0;
}

.layer-selector-container img {
    user-select: none;
}

.layer-selector-container .ls-header {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    cursor: pointer;
}

.layer-selector-container .ls-header p {
    font-size: larger;
    padding-left: 10px;
    font-weight: bold;
}

.layer-selector-container .ls-header img {
    padding-right: 10px;
    padding-left: 0;
}

.layer-selector-container.collapsed {
    overflow-y: hidden;
}

.layer-selector-container.collapsed .ls-layers {
    height: 0;
}

.layer-selector-container.collapsed .ls-header img {
    transform: rotate(180deg);
    padding-left: 10px;
    padding-right: 0;
}

.layer-selector-container .ls-layers {
    background-color: #2c2807;
}

.layer-selector-container .ls-layer {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.layer-selector-container .ls-layer p {
    margin: 0;
    padding: 10px 0 10px 15px;
}

.layer-selector-container .ls-layer img {
    margin-right: 10px;
    cursor: pointer;
}

.layer-selector-container .ls-layer img[aria-checked=true] {
    margin-right: 11px;
}

.ls-layers .collapsed .ls-legend {
    height: 0;
    overflow-y: hidden;
}

.ls-legend {
    padding-left: 25px;
}

.ls-legend .ls-legend-item {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.ls-legend .ls-legend-item .ls-legend-pic.bg {
    position: absolute;
    background-color: white;
    border-width: 1px;
    border-style: solid;
    box-sizing: border-box;
}

.collapsed .ls-legend .ls-legend-item .ls-legend-pic.bg {
    display: none;
}

.ls-legend .ls-legend-item .ls-legend-pic {
    height: 1.2em;
    width: 1.2em;
    margin-right: 10px;
}

/* Localization control */
.localizer-control {
    margin-left: 10px;
}

.localizer-control div {
    background-color: rgba(23,25,28,0.9);
    border-radius: 50%;
    width: 3rem;
    height: 3rem;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 10px;
    color: #c5aa85;
    font-weight: bold;
    box-sizing: border-box;
    user-select: none;
    cursor: pointer;
}

.localizer-control div[aria-checked=true] {
    background-color: #c5aa85;
    color: rgba(23,25,28,0.9);
    border: 2px solid rgba(23,25,28,0.9);
    text-decoration: underline;
}

/* Popup styles */
.popup-poi {
    max-width: 400px !important;
}

.popup-poi img {
    max-width: 100%;
}

.popup-poi p {
    text-align: justify;
}

/* Large screen overrides */
@media only screen and (min-width: 601px) {
    /* Logos */
    .interreg {
        border-radius: 0;
        left: 0;
        bottom: 0;
        right: unset;
        height: 70px;
    }

    .huhr {
        border-radius: 0;
        right: 0;
        bottom: 20px;
        padding: 10px;
        width: 130px;
    }

    /* Map */
    #map .maplibregl-ctrl-top-left,
    #map .maplibregl-ctrl-top-right {
        top: 40px;
    }

    #map .maplibregl-ctrl-attrib {
        max-width: calc(100vw - 280px);
    }

    /* Layer selector */
    #map .maplibregl-ctrl.layer-selector-container {
        width: unset;
        margin: 10px 0 0 10px;
        min-width: 300px;
        max-width: 50%;
    }

    /* Localization control */
    #map .maplibregl-ctrl-bottom-left {
        top: 40px;
        left: unset;
        right: 0;
    }

    #map .maplibregl-ctrl-bottom-left .localizer-control {
        margin-left: unset;
        margin-top: 10px;
        display: flex;
        flex-direction: row;
    }

    .localizer-control div {
        margin-bottom: unset;
        margin-right: 10px;
    }
}
-ls-header:focus, .ls-header:hover, .ls-layer:hover{
	color:white;
}
.lang-chooser:hover, .lang-chooser:focus{
	border: 2px solid white !important
}
.ls-layer img:focus, .ls-layer img:hover{
	border: 2px solid white !important
}